﻿# Tinker's Satchel

## SUPPORT DISCLAIMER

### Use of a mod manager is STRONGLY RECOMMENDED.

Seriously, use a mod manager.

If the versions of Tinker's Satchel or TILER2 (or possibly any other mods) are different between your game and other players' in multiplayer, things WILL break. If TILER2 is causing kicks for "unspecified reason", it's likely due to a mod version mismatch. Ensure that all players in a server, including the host and/or dedicated server, are using the same mod versions before reporting a bug.

**While reporting a bug, make sure to post a console log** (`path/to/RoR2/BepInEx/LogOutput.log`) from a run of the game where the bug happened; this often provides important information about why the bug is happening. If the bug is multiplayer-only, please try to include logs from both server and client.

## Description

Tinker's Satchel is a general content pack, containing assorted items, equipments, interactables, artifacts, and skill variants. In total, this mod includes:

- 42 items/equipments:
	- 7 tier-1,
	- 7 tier-2,
	- 6 tier-3,
	- 1 boss item,
	- 5 equipments,
	- 4 lunar items,
	- 4 lunar equipments,
	- 3 tier-1 void,
	- 3 tier-2 void,
	- 2 tier-3 void;
- 2 interactables:
	- 2 drones;
- 6 skill variants:
	- 3 for Commando
	- and 3 for Engineer;
- 6 artifacts;
- and 1 other feature:
	- a UI tweak.

Short summaries are provided below. For a full description of each item, see: https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ContentSummary.md

### Mod Content: Items & Equipments

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="2" align="center"><h3>Tier-1 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mimicIcon.png?raw=true" width=128></td>
			<td>
				<b>Mostly-Tame Mimic</b><br>
				Mimics your other items at random.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mugIcon.png?raw=true" width=128></td>
			<td>
				<b>Sturdy Mug</b><br>
				Chance to shoot extra, unpredictable projectiles.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/shootToHealIcon.png?raw=true" width=128></td>
			<td>
				<b>Percussive Maintenance</b><br>
				Hit allies to heal them.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/moustacheIcon.png?raw=true" width=128></td>
			<td>
				<b>Macho Moustache</b><br>
				The bigger the fight, the higher your damage.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/triBroochIcon.png?raw=true" width=128></td>
			<td>
				<b>Triskelion Brooch</b><br>
				Chance to combine ignite, freeze, and stun.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/motionTrackerIcon.png?raw=true" width=128></td>
			<td>
				<b>Old War Lidar</b><br>
				Deal more damage to persistent combatants.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/extendoArmsIcon.png?raw=true" width=128></td>
			<td>
				<b>Extendo-Arms</b><br>
				Close-range attacks reach farther and deal slightly more damage.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Tier-2 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/goldenGearIcon.png?raw=true" width=128></td>
			<td>
				<b>Armor Crystal</b><br>
				Gain armor by hoarding money.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/kleinBottleIcon.png?raw=true" width=128></td>
			<td>
				<b>Unstable Klein Bottle</b><br>
				Chance to push or pull nearby enemies on taking damage.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/deadManSwitchIcon.png?raw=true" width=128></td>
			<td>
				<b>Pulse Monitor</b><br>
				Auto-activate your equipment for free at low health.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/damageBufferIcon.png?raw=true" width=128></td>
			<td>
				<b>Negative Feedback Loop</b><br>
				Some incoming damage is dealt over time.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/pixieTubeIcon.png?raw=true" width=128></td>
			<td>
				<b>Pixie Tube</b><br>
				Drop random buffs on using skills.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/defibIcon.png?raw=true" width=128></td>
			<td>
				<b>Defibrillator</b><br>
				Your heals can crit.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/fudgeDiceIcon.png?raw=true" width=128></td>
			<td>
				<b>Fudge Dice</b><br>
				Periodically guarantee luck.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Tier-3 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/headsetIcon.png?raw=true" width=128></td>
			<td>
				<b>H3AD-53T</b><br>
				Your Utility skill builds a stunning static charge.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/pinballIcon.png?raw=true" width=128></td>
			<td>
				<b>Pinball Wizard</b><br>
				Projectiles may bounce and home.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/goFasterIcon.png?raw=true" width=128></td>
			<td>
				<b>Go-Faster Stripes</b><br>
				Your Utility skill gains more mobility.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/skeinIcon.png?raw=true" width=128></td>
			<td>
				<b>Spacetime Skein</b><br>
				Gain mass while stationary. Lose mass while moving.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/shrinkRayIcon.png?raw=true" width=128></td>
			<td>
				<b>Shrink Ray</b><br>
				Suppress a single target's non-primary skills and damage.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/kintsugiIcon.png?raw=true" width=128></td>
			<td>
				<b>Kintsugi</b><br>
				Your broken/consumed/scrapped items increase all your stats.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Boss Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/extraEquipmentIcon.png?raw=true" width=128></td>
			<td>
				<b>Scavenger's Rucksack</b><br>
				Hold an extra Equipment. Stand still to rummage through the rucksack.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Equipments</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/packBoxIconOpen.png?raw=true" width=128></td>
			<td>
				<b>Cardboard Box</b><br>
				Pack up and move. <small>[Cooldown: 60 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/rewindIcon.png?raw=true" width=128></td>
			<td>
				<b>Causal Camera</b><br>
				Phase briefly and rewind yourself 10 seconds. <small>[Cooldown: 90 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/recombobulatorIcon.png?raw=true" width=128></td>
			<td>
				<b>Quantum Recombobulator</b><br>
				Reroll an interactable once. <small>[Cooldown: 60 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/reviveOnceIcon.png?raw=true" width=128></td>
			<td>
				<b>Command Terminal</b><br>
				Revive an ally or summon a drone. Consumed on use. <small>[Cooldown: 10 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/lodestoneIcon.png?raw=true" width=128></td>
			<td>
				<b>Lodestone</b><br>
				Pull nearby enemies and allied item effects. <small>[Cooldown: 20 s]</small>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Lunar Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/wranglerIcon.png?raw=true" width=128></td>
			<td>
				<b>RC Controller</b><br>
				Nearby turrets and drones attack with you... <i>BUT no longer attack automatically.</i>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/bismuthFlaskIcon.png?raw=true" width=128></td>
			<td>
				<b>Bismuth Tonic</b><br>
				Gain resistance when hit by one enemy type... <i>BUT gain weakness to the others.</i>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/healsToDamageIcon.png?raw=true" width=128></td>
			<td>
				<b>Hydroponic Cell</b><br>
				Half your healed health grows a plant that provides a single-use damage bonus... <i>BUT you don't receive the converted healing.</i>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mountainTokenIcon.png?raw=true" width=128></td>
			<td>
				<b>Celestial Gambit</b><br>
				Gain an extra item reward from teleporters... <i>BUT the teleporter zone weakens you.</i>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Lunar Equipments</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/compassIcon.png?raw=true" width=128></td>
			<td>
				<b>Silver Compass</b><br>
				Shows you a path... <i>BUT it will be fraught with danger.</i> <small>[Cooldown*: 180 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/unstableBombIcon.png?raw=true" width=128></td>
			<td>
				<b>Faulty Mortar Tube</b><br>
				Throw a bomb that will detonate when damaged... <i>BUT it may damage survivors too.</i> <small>[Cooldown: 40 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EMPIcon.png?raw=true" width=128></td>
			<td>
				<b>EMP Device</b><br>
				Disable skills on enemies... <i>BUT disable non-primary skills on survivors.</i> <small>[Cooldown: 60 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/monkeysPawIcon.png?raw=true" width=128></td>
			<td>
				<b>Lemurian's Claw</b><br>
				Clone an item to every ally... <i>BUT living enemies also receive one per ally.</i>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Void Items</h3><h4>(requires Survivors of the Void DLC)</h4></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/enterCombatDamageIcon.png?raw=true" width=128></td>
			<td>
				<b>Villainous Visage</b> (T1)<br>
				Deal more damage when given time to plot. Corrupts all Macho Moustaches.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/timelostRumIcon.png?raw=true" width=128></td>
			<td>
				<b>Timelost Rum</b> (T1)<br>
				Chance to shoot temporal echoes of projectiles. Corrupts all Sturdy Mugs.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/obsidianBroochIcon.png?raw=true" width=128></td>
			<td>
				<b>Obsidian Brooch</b> (T1)<br>
				Chance to spread DoTs on hit. Corrupts all Triskelion Brooches.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/orderedArmorIcon.png?raw=true" width=128></td>
			<td>
				<b>Armor Prism</b> (T2)<br>
				Gain massive armor by focusing your item build. Corrupts all Armor Crystals.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/voidwispHiveIcon.png?raw=true" width=128></td>
			<td>
				<b>Voidwisp Hive</b> (T2)<br>
				Drop damaging wisp allies on using skills. Corrupts all Pixie Tubes.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/brambleRingIcon.png?raw=true" width=128></td>
			<td>
				<b>Bramble Ring</b> (T2)<br>
				Return some damage to sender. Corrupts all Negative Feedback Loops.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/gupRayIcon.png?raw=true" width=128></td>
			<td>
				<b>Gup Ray</b> (T3)<br>
				Split enemies into two much weaker copies. Corrupts all Shrink Rays.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/loomIcon.png?raw=true" width=128></td>
			<td>
				<b>Unraveling Loom</b> (T3)<br>
				All your attacks become progressively slower and more powerful. Corrupts all Spacetime Skeins.
			</td>
		</tr>
	</tbody>
</table>

### Mod Content: Skill Variants

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="2" align="center"><h3>Commando</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/CommandoPrimaryPulse.png?raw=true" width=128></td>
			<td>
				<b>Pulse</b> (Primary)<br>
				Rapidly shoot an enemy 4 times with high recoil. Damage per shot ramps from 75% to 150% over the course of the burst.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/CommandoUtilityJinkJet.png?raw=true" width=128></td>
			<td>
				<b>Jink Jet</b> (Utility)<br>
				Perform a small jet-assisted horizontal jump in your aim direction. Hold up to 3.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/CommandoSpecialPlasmaGrenade.png?raw=true" width=128></td>
			<td>
				<b>Plasma Grenade</b> (Special)<br>
				<i>Ignite</i>. Throw a sticky grenade with very-close-range homing that explodes for 500% damage. Can hold up to 2. <small>Watch your aim near low walls.</small>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Engineer</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EngiPrimaryFlak.png?raw=true" width=128></td>
			<td>
				<b>Smart Flak</b> (Primary)<br>
				Continuously fire proximity fragmentation shells. Direct hits deal 50% damage. Shrapnel tracks enemies for up to 8x25% damage (maximum 5x25% on a single target).
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EngiSecondaryChaff.png?raw=true" width=128></td>
			<td>
				<b>Decoy Chaff</b> (Secondary)<br>
				Deal 4x75% damage and clear enemy projectiles in a frontal cone. Struck enemies within line of sight of any of your turrets will be Taunted by a turret for 6 seconds.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EngiUtilitySpeedispenser.png?raw=true" width=128></td>
			<td>
				<b>Speed Dispenser</b> (Utility)<br>
				Deploy a stationary decanter that stores up to 4 delicious, caffeinated, precision-brewed charges of +50% speed while sprinting and +25% jump height. Charges last 15 seconds; restores 1 charge every 7.5 seconds.
			</td>
		</tr>
	</tbody>
</table>

### Mod Content: Interactables

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="2" align="center"><h3>Drones</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/ItemDroneIcon.png?raw=true" width=128></td>
			<td>
				<b>Item Drone</b><br>
				Give items to share them with allies near the drone.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/BulwarkDroneIcon.png?raw=true" width=128></td>
			<td>
				<b>Bulwark Drone</b><br>
				Enemies near the drone will attack it more often. Has high health and innate shield and armor.
			</td>
		</tr>
	</tbody>
</table>

### Mod Content: Artifacts

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name</th>
			<th>Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/tactics_on.png?raw=true" width=128></td>
			<td><b>Artifact of Tactics</b></td>
			<td>All combatants give nearby teammates small, stacking boosts to speed, damage, and armor.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/antiair_on.png?raw=true" width=128></td>
			<td><b>Artifact of Suppression</b></td>
			<td>Players take heavily increased damage while airborne.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/butterknife_on.png?raw=true" width=128></td>
			<td><b>Artifact of Haste</b></td>
			<td>All combatants attack 10x faster and deal 1/20x damage.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/danger_on.png?raw=true" width=128></td>
			<td><b>Artifact of Danger</b></td>
			<td>Players can be killed in one hit.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/delayitems_on.png?raw=true" width=128></td>
			<td><b>Artifact of Safekeeping</b></td>
			<td>All item drops are taken and guarded by the teleporter boss, which will explode in a shower of loot when killed.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/DisposableEquip_on.png?raw=true" width=128></td>
			<td><b>Artifact of Reconfiguration</b></td>
			<td>Start with 3 equipment slots. Equipment is more common, and is consumed instead of going on cooldown.</td>
		</tr>
	</tbody>
</table>

### Mod Content: Other

<table>
	<thead>
		<tr>
			<th>Name</th>
			<th>Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><b>Equipment Drone Labels</b></td>
			<td>If enabled, this module will apply the same naming scheme that Item Drones have ("Item Drone (colored name of item)") to vanilla Equipment Drones ("Equipment Drone (colored name of equipment)").</td>
		</tr>
	</tbody>
</table>

## Issues/TODO

- ItemDisplayRule incompleteness:
	- A few TkSat items have absent or incomplete ItemDisplayRules.
	- Non-Survivor vanilla characters have no display rules for TkSat items.
	- TkSat drones have no ItemDisplayRules for important vanilla items (Spare Drone Parts).
- Most items need some effects & model polish in general.
	- Broken drones are missing smoke/sparks effects.
	- Cardboard Box alternate icon has not been updated to vanilla style like other icons as of v2.2.3.
- Some class-specific item behaviors on Go-Faster Stripes are missing or placeholders.
- Mimic usually displays a count of 0 in chat pickup announcements; might also not count towards logbook stat tracker.
- See the GitHub repo for more!

## Changelog

The 5 latest updates are listed below. For a full changelog, see: https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/changelog.md
(🌧︎: Involves an accepted GitHub Pull Request from the community. Thanks for your help!)

**3.3.2**

- Fixed Scavenger's Rucksack breaking Heretic transformation, luck calc, and Goobo Jr setup.

**3.3.1**

- Fixed Lemurian's Claw breaking other targetable equipments.
- Balance pass:
	- Quantum Recombobulator now provides an option, enabled by default, to retain category of recombobulated interactables (e.g. cannot turn a chest into a shrine, or a printer into a non-printer).
- Slightly improved Quantum Recombobulator per-frame search performance.
- Updated TILER2 dependency to 7.2.1.
	- Fixes Item Drone name modification showing item type only appearing for the host in multiplayer.
	- Fixes a mostly harmless NRE after using Quantum Recombobulator.

**3.3.0**

- New content:
	- Items:
		- Fudge Dice (T2): Every 20 seconds, automatically succeed on a random roll.
		- Celestial Gambit (Lunar): Gain an extra item from the teleporter... BUT the teleporter zone weakens you (50% reduced healing per stack, no jumping). <small>Strawb!!</small>
		- Lemurian's Claw (Lunar Equipment): Give a target item drop to ALL characters. Enemies receive multiple, 1 per ally.
		- Scavenger's Rucksack (Boss): Hold one extra equipment. Stand still to cycle through equipment slots. Rarely replaces Scavenger backpack drops.
	- Artifacts:
		- Artifact of Reconfiguration: Start with 2 Scavenger's Rucksacks. All equipment has no cooldown and is consumed on use. Spawns a lot of extra equipment every stage.
- Balance pass:
	- Bulwark Drone:
		- Bulwark Drone was severely overperforming in an attempt to justify its high cost and lack of attacks, especially when multiple were obtained. Its taunt mechanic was also unintentionally inconsistent.
		- Now spawns with one stack of Razorwire. <small>Those shields are pointy!</small>
		- Reduced taunt chance per enemy (50% --> 25%).
		- Now selects a consistent fraction of valid targets to taunt, instead of rolling a chance for each target.
		- Reduced base stats (health 400 --> 275, shield 60 --> 25, health regen 5 --> 2, armor 20 --> 0, move speed 20 --> 15).
		- Increased hitbox size.
		- Reduced base cost ($80 --> $60).
	- Item Drone can no longer accept Lunar nor Void items by default. <small>You are now <i>slightly</i> safer from your friends.</small>
- Item Drone item blacklist is now configurable and also includes a tier blacklist.
- Made Bulwark Drone compatible with the Dronemeld mod.
- Kintsugi:
	- Fixed double percentage signs in description.
	- Fixed missing unlockable icon.

**3.2.0**

- Balance pass:
	- Minor rework to Mostly-Tame Mimic. MTM was always meant to provide unpredictable power boosts, but the execution was unclear and the item's moment-to-moment effects were sometimes hard to notice. The following changes are meant to focus on this role more strongly; providing a much spikier item distribution with more clearly defined points of change over time, as well as giving the player more time to identify and take advantage of boosted items:
		- Now scrambles all-at-once instead of gradually over time (15% --> 100% chance per mimic), using a much longer interval (3s --> 15s). Renamed the DecayRate config option to ScrambleRate, and removed the DecayChance config option.
		- Now only selects a small fraction of all available items per tier (100% --> 20% of item types per tier, rounded up). Added the ChanceTableSpikiness config option to support this feature.
		- No longer redistributes mimics as soon as the last stack of a mimicked item is lost, in order to avoid abuse of by-tier selection alongside e.g. a conveniently-placed scrapper/printer or an item drop mod. Will instead remove those mimics and wait for the next scramble.
		- Removed the obsolete LagLimit config option.
	- Bismuth Tonic now applies to entire tiers of enemy (Normal, Elite, or Boss) instead of individual enemy types.
- AI with Percussive Maintenance and nothing better to do will now attack allies to recover health of either party, except when Artifact of Chaos is enabled. Exposed as the AiOverride config option.
- Command Terminal fixes:
	- No longer spawns Equipment Drones with no equipment.
	- Now respects sources of cooldown reduction (e.g. Fuel Cell) when setting cooldown on use.
	- Downgraded MasterNamesConfig deferral severity (can now be changed at any time; was while-game-closed only).
- Blacklisted additional potentially bugged summon items (Defense Nucleus and Halcyon Seed) from Item Drone.
- Added the Equipment Drone Labels tweak module, which applies the Item Drone naming scheme to vanilla Equipment Drones.
- Slightly clarified Shrink Ray's pickup text.
- Fixed Spacetime Skein buffs erroneously appearing until the next stage after all stacks are lost.
- Updated BepInExPack dependency to 5.4.1905.

**3.1.1**

- Added a first pass of ItemDisplayRules for many items to all vanilla Survivors.
- Fixed an accidental hard dependency on Risk of Options in the 3.1.0 presets feature.